{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "hoh_bht:light_grenade",
      "materials": {
        "default": "entity_alphatest"
      },
      "textures": {
        "default": "textures/items/entity/invisible"
      },
      "geometry": {
        "default": "geometry.hoh_bht_invisible"
      },
      "render_controllers": [ "controller.render.hoh_bht.sign" ],
      "animations": {
        "explode": "animation.hoh_bht.explode"
      },
      "particle_effects": {
        "hoh_bht_flash": "hoh_bht:light_grenade_flash",
        "hoh_bht_flare": "hoh_bht:light_grenade_flare",
        "hoh_bht_light": "hoh_bht:light_grenade_light",
        "hoh_bht_sparks": "hoh_bht:light_grenade_sparks"
      },
      
      "scripts": {
        "animate": [
          "explode"
        ]
      }
    }
  }
} 